Package com.massivecraft.factions.cmd

## Class CmdFly

- java.lang.Object
- - com.massivecraft.factions.cmd.FCommand
  - - com.massivecraft.factions.cmd.CmdFly

    public class CmdFly
    extends FCommand

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.util.concurrent.ConcurrentHashMap<java.lang.String,​java.lang.Boolean>` | `flyMap` |
`static org.bukkit.scheduler.BukkitTask` | `flyTask` |
`static int` | `id` |

### Fields inherited from class com.massivecraft.factions.cmd.FCommand

`aliases, helpLong, optionalArgs, requiredArgs, requirements, sdf, subCommands, visibility`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`CmdFly()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static boolean` | `checkBypassPerms​(FPlayer fme, org.bukkit.entity.Player me, Faction toFac)` |
`static void` | `checkTaskState()` |
`static void` | `disableFlight​(FPlayer fme)` |
`TL` | `getUsageTranslation()` |
`boolean` | `isInFlightChecker​(org.bukkit.entity.Player player)` |
`static java.lang.Boolean` | `isSystemFaction​(Faction faction)` |
`void` | `perform​(CommandContext context)` |
`static void` | `startFlyCheck()` |
`static void` | `startParticles()` |

### Methods inherited from class com.massivecraft.factions.cmd.FCommand

`addSubCommand, execute, getHelpShort, getToolTips, getToolTips, getUsageTemplate, getUsageTemplate, isEnabled, replaceFactionTags, replaceFPlayerTags, setHelpShort, validArgs, validCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### flyMap

    public static java.util.concurrent.ConcurrentHashMap<java.lang.String,​java.lang.Boolean> flyMap

#### id

    public static int id

#### flyTask

    public static org.bukkit.scheduler.BukkitTask flyTask

### Constructor Detail

#### CmdFly

    public CmdFly()

### Method Detail

#### startParticles

    public static void startParticles()

#### startFlyCheck

    public static void startFlyCheck()

#### checkBypassPerms

    public static boolean checkBypassPerms​(FPlayer fme,
                                           org.bukkit.entity.Player me,
                                           Faction toFac)

#### isSystemFaction

    public static java.lang.Boolean isSystemFaction​(Faction faction)

#### checkTaskState

    public static void checkTaskState()

#### disableFlight

    public static void disableFlight​(FPlayer fme)

#### isInFlightChecker

    public boolean isInFlightChecker​(org.bukkit.entity.Player player)

#### perform

    public void perform​(CommandContext context)

Specified by:
  `perform` in class `FCommand`

#### getUsageTranslation

    public TL getUsageTranslation()

Specified by:
  `getUsageTranslation` in class `FCommand`